Bug 853645 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:1238816710d124e32c3931dc960...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 13:27 EDT by Nigel Campbell
Modified: 2013-08-01 15:06 EDT (History)
49 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.56 KB, text/plain)
2012-09-01 13:27 EDT, Nigel Campbell
no flags Details
File: xorg.conf (1.40 KB, text/plain)
2012-09-01 13:27 EDT, Nigel Campbell
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (373 bytes, text/plain)
2012-09-01 13:27 EDT, Nigel Campbell
no flags Details

  None (edit)
Description Nigel Campbell 2012-09-01 13:27:10 EDT
Description of problem:
Added nvidia drivers for Quadro FX370 card using instructions at http://jabcholove.tistory.com/165.

Encountered mouse cursor problem, updated all installed RPMs to current per suggestion in http://forums.fedoraforum.org/showthread.php?t=280730.

Re booted the system witn init 6

Profit ... ?



Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.2-3.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (0x400000+0x6a289) [0x46a289]
:2: /lib64/libpthread.so.0 (0x7f1f79ae1000+0xefe0) [0x7f1f79aeffe0]
Comment 1 Nigel Campbell 2012-09-01 13:27:12 EDT
Created attachment 608952 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Nigel Campbell 2012-09-01 13:27:14 EDT
Created attachment 608953 [details]
File: xorg.conf
Comment 3 Nigel Campbell 2012-09-01 13:27:16 EDT
Created attachment 608954 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Robert G. 'Doc' Savage 2012-09-03 17:46:52 EDT
Clicked on a link in a web site. The X server failed instantly, then restarted, taking me to the user logon screen.

Package: xorg-x11-server-Xorg-1.12.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 David Chin 2012-09-24 10:51:56 EDT
Launching Google Chrome beta causes the crash.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 David Chin 2012-09-24 11:00:22 EDT
Launch of Google Chrome beta google-chrome-beta-22.0.1229.64-157476.x86_64 causes X11 crash. 

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Adam Jackson 2012-10-18 17:49:37 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 8 Adam Jackson 2012-10-18 17:50:04 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 9 Elliott Baron 2012-10-30 10:51:05 EDT
Opened system settings from gnome-shell upper right corner menu.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 lev 2012-11-23 03:53:41 EST
After todays update gnome 3 switched to gnome 2 and I see this crash on start

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 ILMostro 2012-11-23 08:21:10 EST
after installing "updates" from, mostly, updates-testing rep., failed to load into gnome-shell/GNOME3 Deskop Environment.  Following is the history output of the packages that were selected and installed:

Loaded plugins: langpacks, presto, refresh-packagekit
Transaction ID : 230
Begin time     : Thu Nov 22 12:31:13 2012
Begin rpmdb    : 3559:2f1482f2bf70e7ea924b8a79261678e18c780a5f
End time       :            12:32:05 2012 (52 seconds)
End rpmdb      : 3559:976e444942ff333d8453efe8f4f696ec440d1834
User           : John Johnson <ilmostro>
Return-Code    : Success
Command Line   : upgrade
Transaction performed with:
    Installed     rpm-4.9.1.3-7.fc17.x86_64               @updates
    Installed     yum-3.4.3-30.fc17.noarch                installed
    Installed     yum-metadata-parser-1.1.4-6.fc17.x86_64 @koji-override-0/$releasever
    Installed     yum-presto-0.7.3-1.fc17.noarch          @koji-override-0/$releasever
Packages Altered:
    Updated akmod-nvidia-1:304.60-1.fc17.2.x86_64                     @rpmfusion-nonfree-updates
    Update               1:304.64-1.fc17.x86_64                       @rpmfusion-nonfree-updates
    Updated android-tools-20120510gitd98c87c-1.fc17.x86_64            @updates
    Update                20121120git3ddc005-1.fc17.x86_64            @updates-testing
    Updated android-tools-debuginfo-20120510gitd98c87c-1.fc17.x86_64  @updates-debuginfo
    Update                          20121120git3ddc005-1.fc17.x86_64  @updates-testing-debuginfo
    Updated kmod-VirtualBox-4.2.4-3.fc17.x86_64                       @rpmfusion-free-updates
    Update                  4.2.4-3.fc17.2.x86_64                     @rpmfusion-free-updates
    Updated kmod-VirtualBox-3.6.7-4.fc17.x86_64-4.2.4-3.fc17.x86_64   ?
    Update                                      4.2.4-3.fc17.2.x86_64 @rpmfusion-free-updates
    Updated kmod-nvidia-3.6.7-4.fc17.x86_64-1:304.60-1.fc17.2.x86_64  ?
    Update                                  1:304.64-1.fc17.x86_64    @rpmfusion-nonfree-updates
    Updated libchewing-0.3.3-3.fc17.x86_64                            @updates
    Update             0.3.3-4.fc17.x86_64                            @updates-testing
    Updated pykde4-4.9.3-1.fc17.x86_64                                @updates
    Update         4.9.3-2.fc17.x86_64                                @updates-testing
    Updated python-urlgrabber-3.9.1-16.fc17.noarch                    @updates
    Update                    3.9.1-17.fc17.noarch                    @updates-testing
    Updated rpmfusion-free-release-17.0.3-1.noarch                    @rpmfusion-free
    Update                         17.0.4-1.noarch                    @rpmfusion-free-updates-testing
    Updated selinux-policy-3.10.0-159.fc17.noarch                     @updates-testing
    Update                 3.10.0-161.fc17.noarch                     @updates-testing
    Updated selinux-policy-devel-3.10.0-159.fc17.noarch               @updates-testing
    Update                       3.10.0-161.fc17.noarch               @updates-testing
    Updated selinux-policy-targeted-3.10.0-159.fc17.noarch            @updates-testing
    Update                          3.10.0-161.fc17.noarch            @updates-testing
    Updated xorg-x11-drv-nvidia-1:304.60-1.fc17.x86_64                @rpmfusion-nonfree-updates-testing
    Update                      1:304.64-1.fc17.x86_64                @rpmfusion-nonfree-updates
    Updated xorg-x11-drv-nvidia-libs-1:304.60-1.fc17.x86_64           @rpmfusion-nonfree-updates-testing
    Update                           1:304.64-1.fc17.x86_64           @rpmfusion-nonfree-updates


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Jonathan Steffan 2012-11-23 16:24:26 EST
Started chrome.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 ILMostro 2012-11-23 19:12:13 EST
(In reply to comment #11)
> after installing "updates" from, mostly, updates-testing rep., failed to
> load into gnome-shell/GNOME3 Deskop Environment.  Following is the history
> output of the packages that were selected and installed:
> 
> Loaded plugins: langpacks, presto, refresh-packagekit
> Transaction ID : 230
> Begin time     : Thu Nov 22 12:31:13 2012
> Begin rpmdb    : 3559:2f1482f2bf70e7ea924b8a79261678e18c780a5f
> End time       :            12:32:05 2012 (52 seconds)
> End rpmdb      : 3559:976e444942ff333d8453efe8f4f696ec440d1834
> User           : John Johnson <ilmostro>
> Return-Code    : Success
> Command Line   : upgrade
> Transaction performed with:
>     Installed     rpm-4.9.1.3-7.fc17.x86_64               @updates
>     Installed     yum-3.4.3-30.fc17.noarch                installed
>     Installed     yum-metadata-parser-1.1.4-6.fc17.x86_64
> @koji-override-0/$releasever
>     Installed     yum-presto-0.7.3-1.fc17.noarch         
> @koji-override-0/$releasever
> Packages Altered:
>     Updated akmod-nvidia-1:304.60-1.fc17.2.x86_64                    
> @rpmfusion-nonfree-updates
>     Update               1:304.64-1.fc17.x86_64                      
> @rpmfusion-nonfree-updates
>     Updated android-tools-20120510gitd98c87c-1.fc17.x86_64           
> @updates
>     Update                20121120git3ddc005-1.fc17.x86_64           
> @updates-testing
>     Updated android-tools-debuginfo-20120510gitd98c87c-1.fc17.x86_64 
> @updates-debuginfo
>     Update                          20121120git3ddc005-1.fc17.x86_64 
> @updates-testing-debuginfo
>     Updated kmod-VirtualBox-4.2.4-3.fc17.x86_64                      
> @rpmfusion-free-updates
>     Update                  4.2.4-3.fc17.2.x86_64                    
> @rpmfusion-free-updates
>     Updated kmod-VirtualBox-3.6.7-4.fc17.x86_64-4.2.4-3.fc17.x86_64   ?
>     Update                                      4.2.4-3.fc17.2.x86_64
> @rpmfusion-free-updates
>     Updated kmod-nvidia-3.6.7-4.fc17.x86_64-1:304.60-1.fc17.2.x86_64  ?
>     Update                                  1:304.64-1.fc17.x86_64   
> @rpmfusion-nonfree-updates
>     Updated libchewing-0.3.3-3.fc17.x86_64                           
> @updates
>     Update             0.3.3-4.fc17.x86_64                           
> @updates-testing
>     Updated pykde4-4.9.3-1.fc17.x86_64                               
> @updates
>     Update         4.9.3-2.fc17.x86_64                               
> @updates-testing
>     Updated python-urlgrabber-3.9.1-16.fc17.noarch                   
> @updates
>     Update                    3.9.1-17.fc17.noarch                   
> @updates-testing
>     Updated rpmfusion-free-release-17.0.3-1.noarch                   
> @rpmfusion-free
>     Update                         17.0.4-1.noarch                   
> @rpmfusion-free-updates-testing
>     Updated selinux-policy-3.10.0-159.fc17.noarch                    
> @updates-testing
>     Update                 3.10.0-161.fc17.noarch                    
> @updates-testing
>     Updated selinux-policy-devel-3.10.0-159.fc17.noarch              
> @updates-testing
>     Update                       3.10.0-161.fc17.noarch              
> @updates-testing
>     Updated selinux-policy-targeted-3.10.0-159.fc17.noarch           
> @updates-testing
>     Update                          3.10.0-161.fc17.noarch           
> @updates-testing
>     Updated xorg-x11-drv-nvidia-1:304.60-1.fc17.x86_64               
> @rpmfusion-nonfree-updates-testing
>     Update                      1:304.64-1.fc17.x86_64               
> @rpmfusion-nonfree-updates
>     Updated xorg-x11-drv-nvidia-libs-1:304.60-1.fc17.x86_64          
> @rpmfusion-nonfree-updates-testing
>     Update                           1:304.64-1.fc17.x86_64          
> @rpmfusion-nonfree-updates
> 
> 
> Package: xorg-x11-server-Xorg-1.12.3-2.fc17
> OS Release: Fedora release 17 (Beefy Miracle)

*********************************
*********************************
not sure if all of these reports stem from the same exact root cause; in my case, the simultaneous updates of nvidia-drivers and selinux-policy caused an incomplete update of the akmod-nvidia package or an otherwise incompatible situation between these two services.  
    I should mention that there's already a bug-report for this issue:
https://bugzilla.redhat.com/show_bug.cgi?id=694918

    I managed to resolve the issue by disabling the selinux service at boot time and reinstalling akmod-nvidia packages. As I said, not sure if all reports are from exact same root cause, however, I figured my comment might at least help someone as they try to resolve the issue on their own system.
Comment 14 Maciej Kaczmarek 2012-11-24 07:13:20 EST
Problem occured after last kerbel upadate.
List of installed packages:
kernel							3.6.7.4.fc17
kernel-devel						3.6.7.4.fc17

List of updated packages:
NetworkManager					0.9.6.4.3.fc17
NetworkManager-glib				0.9.6.4.3.fc17
NetworkManager-gnome			0.9.6.4.3.fc17
NetworkManager-gtk				0.9.6.4.3.fc17
ffmpeg-libs						0.10.6.1.fc17
firefox							17.0.1.fc17
gimp							2.8.2.6.fc17
gimp-help-browser				2.8.2.6.fc17
gimp-libs							2.8.2.6.fc17
kernel-headers					3.6.7.4.fc17
kmod-nvidia						304.64.1.fc17
libgsf							1.14.24.1.fc17
libnl3							3.2.14.1.fc17
libsmbclient						3.6.9.96.fc17.1
libsocialweb						0.25.21.1.fc17
libsocialweb-keys					0.25.21.1.fc17
libwbclient						3.6.9.96.fc17.1
perl-DateTime-TimeZone			1.54.1.fc17
samba-client						3.6.9.96.fc17.1
samba-common					3.6.9.96.fc17.1
selinux-policy						3.10.0.161.fc17
selinux-policy-devel				3.10.0.161.fc17
selinux-policy-doc					3.10.0.161.fc17
selinux-policy-targeted				3.10.0.161.fc17
thunderbird						17.0.1.fc17
tzdata							2012i.1.fc17
tzdata-java						2012i.1.fc17
xorg-x11-drv-nvidia				304.64.1.fc17
xorg-x11-drv-nvidia-libs			304.64.1.fc17
xulrunner						17.0.3.fc17

List of installed package dependencies:
kmod-nvidia-3.6.7-4.fc17.x86_64	304.64.1.fc17

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Andrew Pitonyak 2012-11-24 16:27:44 EST
used "yum update", then restarted. 

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 ILMostro 2012-11-24 21:43:32 EST
@ Maciej Kaczmarek : Yea, same as me *see comment above*.
Comment 17 Andrew Pitonyak 2012-11-24 21:45:28 EST
For me, the solution was outlined here:

http://forums.fedoraforum.org/showthread.php?t=286084

The comment detailing the solution begins with:

... The latest rpmfind binaries don't setup the libglx.so extension correctly.

fixed with:

cd /usr/lib64/xorg/modules/extensions
mv libglx.so libglx.so-xorg
ln -s ../../../nvidia/xorg/libglx.so .

There is more discussion with the comment:

Instead of mv'ing files just change ModulePath in xorg.conf

Section "Files"
ModulePath "/usr/lib64/nvidia/xorg"
ModulePath "/usr/lib64/xorg/modules"
EndSection 

I moved the files, and now I am working again!
Comment 18 ILMostro 2012-11-24 21:56:44 EST
@ Andrew Pitonyak: As I said, this bug report consists of different root causes, not just one, aside from "nVidia updates" in fedora, maybe. I had tried that solution before, without success. But it's great thanks for posting the comment for others.
Comment 19 ILMostro 2012-11-24 22:25:01 EST
(In reply to comment #17)
> For me, the solution was outlined here:
> 
> http://forums.fedoraforum.org/showthread.php?t=286084
> 
> The comment detailing the solution begins with:
> 
> ... The latest rpmfind binaries don't setup the libglx.so extension
> correctly.
> 
> fixed with:
> 
> cd /usr/lib64/xorg/modules/extensions
> mv libglx.so libglx.so-xorg
> ln -s ../../../nvidia/xorg/libglx.so .
> 
> There is more discussion with the comment:
> 
> Instead of mv'ing files just change ModulePath in xorg.conf
> 
> Section "Files"
> ModulePath "/usr/lib64/nvidia/xorg"
> ModulePath "/usr/lib64/xorg/modules"
> EndSection 
> 
> I moved the files, and now I am working again!

***Actually you might be right. After examining the forum post a little closer, I realized I hadn't attempted that already...and they might have corrected the problem with the update by the time i reinstalled it.  too bad I can't remove my previous comments then :-O
Comment 20 Fred Houweling 2012-11-26 22:33:18 EST
Native nvidia driver is crap and does not work on my hardware, I have to use nvidias driver which works flawlessly.

Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 salsabil42xoops 2012-12-02 02:37:28 EST
Just Update my VGA Driver from yum. My gnome shell does not loaded correctly too. It seems old gnome style! and I dont have Activities in the corner of my screen!

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 salsabil42xoops 2012-12-02 02:42:53 EST
And my Account goes auto logout  when I open Gnome tweak tool.
Comment 23 Fred Houweling 2012-12-02 03:39:32 EST
I'm running nvidia's drivers, I found that a Fedora update clobbered them, re-running the install file fixed my issue.
i.e.
sh NVIDIA-Linux-x86_64-310.19.run
just do that from one of your console screens.
CTRL+ALT+F?
Login as root and run it...
Original driver downloaded from:
http://www.nvidia.com

I found the native Fedroa nvidia driver is too buggy still

Regards

Fred
Comment 24 salsabil42xoops 2012-12-02 04:34:21 EST
I cant run tty to Install NVIDIA-Linux-x86_64-310.19.run.
When I run tty with CTRL+ALT+F3 for example, My Screen going black and show nothing to me
what can I do now?
Comment 25 edward.vonk 2012-12-02 08:12:17 EST
After de upgrade to kernel 3-6-8 x-server crashed. Rebooted to 3.6-7 and crashed again. Maybe it has to do with de nvidia driver. I will upgrade to the latest driver.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 salsabil42xoops 2012-12-02 11:49:41 EST
(In reply to comment #25)
> After de upgrade to kernel 3-6-8 x-server crashed. Rebooted to 3.6-7 and
> crashed again. Maybe it has to do with de nvidia driver. I will upgrade to
> the latest driver.
> 
> Package: xorg-x11-server-Xorg-1.12.4-1.fc17
> OS Release: Fedora release 17 (Beefy Miracle)

Thanks for your attention
But I load tty in Recovery mode From grub and finally my problem solved by Installing NVIDIA-Linux-x86_64-310.19.run from tty2.
tty works in Recovery mode! 
too easy and too simple but too Far from mind because of non-use during the lifetime of the operating system.
Comment 27 Andrew Pitonyak 2012-12-03 01:20:22 EST
Problem was seen again, after another update.... This time, rather than copying and linking, I chose to edit /etc/X11/xorg.conf

I changed the section that read:

Section "Files"
    ModulePath      "/usr/lib64/xorg/modules/extensions/nvidia"
    ModulePath      "/usr/lib64/xorg/modules"
EndSection

To read as:

Section "Files"
#    ModulePath      "/usr/lib64/xorg/modules/extensions/nvidia"
    ModulePath      "/usr/lib64/nvidia/xorg"
    ModulePath      "/usr/lib64/xorg/modules"
EndSection

Reboot, problem solved. Note that on my system, the commented out directory does not exist. Hopefully I will not see this problem again.
Comment 28 714789+redhat 2012-12-03 22:47:06 EST
KSnapshot -> new -> sendto -> export2facebook 
then xorg directly went down without any notice


Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 714789+redhat 2012-12-04 01:53:27 EST
this works for me.

(In reply to comment #27)
> Problem was seen again, after another update.... This time, rather than
> copying and linking, I chose to edit /etc/X11/xorg.conf
> 
> I changed the section that read:
> 
> Section "Files"
>     ModulePath      "/usr/lib64/xorg/modules/extensions/nvidia"
>     ModulePath      "/usr/lib64/xorg/modules"
> EndSection
> 
> To read as:
> 
> Section "Files"
> #    ModulePath      "/usr/lib64/xorg/modules/extensions/nvidia"
>     ModulePath      "/usr/lib64/nvidia/xorg"
>     ModulePath      "/usr/lib64/xorg/modules"
> EndSection
> 
> Reboot, problem solved. Note that on my system, the commented out directory
> does not exist. Hopefully I will not see this problem again.
Comment 30 Terje Stramrud 2012-12-05 19:04:05 EST
After doing a yum update yesterday, starting google-chrome causes x server to crash. Other applications,
including firefox, seems to work ok.


Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 31 714789+redhat 2012-12-05 19:59:25 EST
that's same situation i ran into.
please check my previous comment. might help

(In reply to comment #30)
> After doing a yum update yesterday, starting google-chrome causes x server
> to crash. Other applications,
> including firefox, seems to work ok.
> 
> 
> Package: xorg-x11-server-Xorg-1.12.4-1.fc17
> OS Release: Fedora release 17 (Beefy Miracle)
Comment 32 Grigory 2012-12-06 05:08:52 EST
после обновления системы 

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 33 Terje Stramrud 2012-12-06 06:37:17 EST
Thanks !
The ModulePath in xorg.conf did the trick, even though there was no lines
of that type in my file, I added them as described in comment 29.
A simple logout and new login, and problem solved!
Comment 34 ifNoow 2012-12-08 05:00:22 EST
X crashes every time i open google-chrome. Same thing if i rename ~/.config/google-chrome or use the iron browser.
HW is a thinkpad w510.

$ logger Google-Chrome startet. X will crash! && google-chrome
dropped to login-prompt
relogin
$ logger login as user


Dec  8 10:36:23 slartibartfast marvin: Google-Chrome startet. X will crash!
Dec  8 10:36:23 slartibartfast kernel: [  156.732409] userif-4: sent link up event.<7>[  399.910043] SELinux: initialized (dev proc, type proc), uses genfs_contexts
Dec  8 10:36:27 slartibartfast abrtd: Directory 'xorg-2012-12-08-10:36:27-2905-1' creation detected
Dec  8 10:36:28 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-28-09:04:59-3633-1' is not a problem directory
Dec  8 10:36:28 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-14-11:42:51-4542-1' is not a problem directory
Dec  8 10:36:29 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-21-10:47:09-6995-1' is not a problem directory
Dec  8 10:36:29 slartibartfast abrtd: Directory 'ccpp-2012-12-08-10:36:28-1812' creation detected
Dec  8 10:36:29 slartibartfast abrt[2908]: Saved core dump of pid 1812 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-12-08-10:36:28-1812 (120156160 bytes)
Dec  8 10:36:29 slartibartfast abrtd: Lock file '/var/spool/abrt/ccpp-2012-11-27-12:50:14-2027/.lock' is locked by process 2906
Dec  8 10:36:29 slartibartfast abrt[2908]: Lock file '/var/spool/abrt/ccpp-2012-11-27-12:50:14-2027/.lock' is locked by process 2906
Dec  8 10:36:30 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-28-09:04:59-3633-1' is not a problem directory
Dec  8 10:36:30 slartibartfast gnome-session[2034]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
Dec  8 10:36:30 slartibartfast bluetoothd[907]: Endpoint unregistered: sender=:1.48 path=/MediaEndpoint/HFPAG
Dec  8 10:36:30 slartibartfast bluetoothd[907]: Endpoint unregistered: sender=:1.48 path=/MediaEndpoint/A2DPSource
Dec  8 10:36:30 slartibartfast bluetoothd[907]: bluetoothd[907]: Endpoint unregistered: sender=:1.48 path=/MediaEndpoint/HFPAG
Dec  8 10:36:30 slartibartfast bluetoothd[907]: bluetoothd[907]: Endpoint unregistered: sender=:1.48 path=/MediaEndpoint/A2DPSource
Dec  8 10:36:30 slartibartfast systemd-logind[1007]: Removed session 2.
Dec  8 10:36:30 slartibartfast gdm-simple-slave[1807]: WARNING: Child process 2016 was already dead.
Dec  8 10:36:30 slartibartfast gdm-simple-slave[1807]: WARNING: Unable to kill session worker process
Dec  8 10:36:30 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-14-11:42:51-4542-1' is not a problem directory
Dec  8 10:36:31 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-21-10:47:09-6995-1' is not a problem directory
Dec  8 10:36:31 slartibartfast abrtd: tar: Removing leading `/' from member names
Dec  8 10:36:31 slartibartfast abrtd: tar: Removing leading `/' from member names
Dec  8 10:36:31 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-28-09:04:59-3633-1' is not a problem directory
Dec  8 10:36:32 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-14-11:42:51-4542-1' is not a problem directory
Dec  8 10:36:32 slartibartfast systemd-logind[1007]: New session 3 of user gdm.
Dec  8 10:36:32 slartibartfast systemd-logind[1007]: Linked /tmp/.X11-unix/X0 to /run/user/gdm/X11-display.
Dec  8 10:36:32 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-21-10:47:09-6995-1' is not a problem directory
Dec  8 10:36:32 slartibartfast abrtd: New problem directory /var/spool/abrt/xorg-2012-12-08-10:36:27-2905-1, processing
Dec  8 10:36:32 slartibartfast gnome-session[2968]: WARNING: Session 'gdm-shell' runnable check failed: Exited with code 1
Dec  8 10:36:32 slartibartfast rtkit-daemon[1974]: Successfully made thread 2994 of process 2994 (/usr/bin/pulseaudio) owned by '42' high priority at nice level -11.
Dec  8 10:36:32 slartibartfast rtkit-daemon[1974]: Successfully made thread 3006 of process 2994 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Dec  8 10:36:32 slartibartfast rtkit-daemon[1974]: Successfully made thread 3007 of process 2994 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Dec  8 10:36:32 slartibartfast rtkit-daemon[1974]: Successfully made thread 3008 of process 2994 (/usr/bin/pulseaudio) owned by '42' RT at priority 5.
Dec  8 10:36:32 slartibartfast pulseaudio[2994]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
Dec  8 10:36:32 slartibartfast pulseaudio[2994]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
Dec  8 10:36:33 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-28-09:04:59-3633-1' is not a problem directory
Dec  8 10:36:33 slartibartfast gdm-simple-greeter[3012]: Gtk-WARNING: Overriding tab label for notebook
Dec  8 10:36:33 slartibartfast gdm-simple-greeter[3012]: Gtk-WARNING: Overriding tab label for notebook
Dec  8 10:36:33 slartibartfast gdm-simple-greeter[3012]: Gtk-WARNING: Overriding tab label for notebook
Dec  8 10:36:33 slartibartfast gdm-simple-greeter[3012]: Gtk-WARNING: Overriding tab label for notebook
Dec  8 10:36:33 slartibartfast gdm-simple-greeter[3012]: Gtk-WARNING: Overriding tab label for notebook
Dec  8 10:36:33 slartibartfast dbus-daemon[1022]: dbus[1022]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Dec  8 10:36:33 slartibartfast dbus[1022]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Dec  8 10:36:33 slartibartfast dbus-daemon[1022]: Launching FprintObject
Dec  8 10:36:33 slartibartfast dbus-daemon[1022]: dbus[1022]: [system] Successfully activated service 'net.reactivated.Fprint'
Dec  8 10:36:33 slartibartfast dbus[1022]: [system] Successfully activated service 'net.reactivated.Fprint'
Dec  8 10:36:33 slartibartfast dbus-daemon[1022]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Dec  8 10:36:33 slartibartfast dbus-daemon[1022]: ** Message: entering main loop
Dec  8 10:36:33 slartibartfast dbus-daemon[1022]: dbus[1022]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.93" (uid=42 pid=3012 comm="/usr/libexec/gdm-simple-greeter ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.18" (uid=0 pid=1851 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Dec  8 10:36:33 slartibartfast dbus[1022]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.93" (uid=42 pid=3012 comm="/usr/libexec/gdm-simple-greeter ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.18" (uid=0 pid=1851 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Dec  8 10:36:33 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-14-11:42:51-4542-1' is not a problem directory
Dec  8 10:36:33 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-21-10:47:09-6995-1' is not a problem directory
Dec  8 10:36:34 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-28-09:04:59-3633-1' is not a problem directory
Dec  8 10:36:34 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-14-11:42:51-4542-1' is not a problem directory
Dec  8 10:36:35 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-21-10:47:09-6995-1' is not a problem directory
Dec  8 10:36:35 slartibartfast abrtd: Generating backtrace
Dec  8 10:36:35 slartibartfast abrtd: Cannot disassemble function at 0x0, not computing fingerprint
Dec  8 10:36:35 slartibartfast abrtd: Cannot disassemble function at 0x0, not computing fingerprint
Dec  8 10:36:35 slartibartfast abrtd: Cannot disassemble function at 0x0, not computing fingerprint
Dec  8 10:36:35 slartibartfast abrtd: Cannot disassemble function at 0x0, not computing fingerprint
Dec  8 10:36:36 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-28-09:04:59-3633-1' is not a problem directory
Dec  8 10:36:37 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-14-11:42:51-4542-1' is not a problem directory
Dec  8 10:36:37 slartibartfast abrtd: '/var/spool/abrt/oops-2012-11-21-10:47:09-6995-1' is not a problem directory
Dec  8 10:36:37 slartibartfast abrtd: Duplicate: core backtrace
Dec  8 10:36:37 slartibartfast abrtd: DUP_OF_DIR: /var/spool/abrt/ccpp-2012-11-27-12:50:14-2027
Dec  8 10:36:37 slartibartfast abrtd: Corrupted or bad directory '/var/spool/abrt/ccpp-2012-12-08-10:36:28-1812', deleting
Dec  8 10:36:42 slartibartfast systemd-logind[1007]: New session 4 of user marvin.
Dec  8 10:36:42 slartibartfast systemd-logind[1007]: Linked /tmp/.X11-unix/X0 to /run/user/marvin/X11-display.
Dec  8 10:36:42 slartibartfast systemd-logind[1007]: Removed session 3.
Dec  8 10:36:42 slartibartfast gdm-simple-slave[2913]: WARNING: Child process 2968 was already dead.
Dec  8 10:36:42 slartibartfast gnome-session[3071]: WARNING: Could not parse desktop file /home/marvin/.config/autostart/xfce4-settings-helper-autostart.desktop: Key file does not have key 'Name'
Dec  8 10:36:42 slartibartfast gnome-session[3071]: WARNING: could not read /home/marvin/.config/autostart/xfce4-settings-helper-autostart.desktop
Dec  8 10:36:42 slartibartfast gnome-session[3071]: WARNING: Could not parse desktop file /home/marvin/.config/autostart/xfconf-migration-4.6.desktop: Key file does not have key 'Name'
Dec  8 10:36:42 slartibartfast gnome-session[3071]: WARNING: could not read /home/marvin/.config/autostart/xfconf-migration-4.6.desktop
Dec  8 10:36:42 slartibartfast rtkit-daemon[1974]: Successfully made thread 3252 of process 3252 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Dec  8 10:36:42 slartibartfast pulseaudio[3252]: [pulseaudio] pid.c: Stale PID file, overwriting.
Dec  8 10:36:43 slartibartfast rtkit-daemon[1974]: Successfully made thread 3259 of process 3252 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Dec  8 10:36:43 slartibartfast pulseaudio[3252]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
Dec  8 10:36:43 slartibartfast pulseaudio[3252]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
Dec  8 10:36:43 slartibartfast bluetoothd[907]: bluetoothd[907]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/HFPAG
Dec  8 10:36:43 slartibartfast bluetoothd[907]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/HFPAG
Dec  8 10:36:43 slartibartfast bluetoothd[907]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/A2DPSource
Dec  8 10:36:43 slartibartfast bluetoothd[907]: bluetoothd[907]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/A2DPSource
Dec  8 10:36:43 slartibartfast rtkit-daemon[1974]: Successfully made thread 3267 of process 3267 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Dec  8 10:36:43 slartibartfast pulseaudio[3267]: [pulseaudio] pid.c: Daemon already running.
Dec  8 10:36:43 slartibartfast dbus-daemon[1022]: dbus[1022]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Dec  8 10:36:43 slartibartfast dbus[1022]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Dec  8 10:36:43 slartibartfast dbus-daemon[1022]: dbus[1022]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Dec  8 10:36:43 slartibartfast dbus[1022]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Dec  8 10:36:44 slartibartfast goa[3462]: goa-daemon version 3.4.2 starting [main.c:112, main()]
Dec  8 10:37:03 slartibartfast dbus-daemon[1022]: ** Message: No devices in use, exit
Dec  8 10:37:16 slartibartfast marvin: login as user

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 35 Fred Houweling 2012-12-12 17:36:59 EST
Started after performing yum updates.
I think the nvidia drivers dont work for my graphics card.


Package: xorg-x11-server-Xorg-1.12.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 36 David Chin 2012-12-13 11:20:38 EST
I have traced my crash to the Nvidia kernel module. The Linux kernel was updated without updating the Nvidia module. Once the Nvidia module was updated, X11 no longer crashes.
Comment 37 arturo 2012-12-16 10:46:02 EST
yum update and then restart, log in to my admin acount then the xorg chashes the bluetooth visivility was on

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 38 Eid Ali 2013-01-01 20:29:25 EST
I just logged in with Xfce Desktop Environment chosen.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 39 edward.vonk 2013-01-04 09:09:26 EST
After a reboot I got the Nvidea logo and started up in alternative Gnome desktop. This usually means it hasn't used the nvidea driver developped by nvidea but the propriorty one. 
Te-installing the nvidea driver is usually a solution to the problem, but the problem re-occurs every now and then.


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 40 Roland Olsson 2013-01-07 03:45:14 EST
When coming back to my office after the holidays, I ran a software update (181 updates). Rebooted the computer. Logged in. Gnome started up in "classic" mode, this usually indicated some kind of trouble. I tried to start Google Chrome. Bang! The screen went black and I was logged out of my desktop session.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 41 Roland Olsson 2013-01-07 03:59:41 EST
Tried to start "System Settings". Was logged out from desktop immediately.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 42 gwir 2013-01-11 08:28:16 EST
While lauching a virtual macgine with virtual box

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 43 gwir 2013-01-14 03:01:37 EST
Launching google-chrome

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 44 gwir 2013-01-14 03:28:20 EST
Reinstalling the drivers with the Nvidia tool, solves the problem. A problem with DKMS?
Comment 45 Anthony Symons 2013-02-06 19:23:27 EST
I get this crash in X/gnome if I click some types of buttons. Unfortunately I cant identify more than which buttons. If I pick top right corner of my screen then system-settings that is one crash, or I clicked 'play' in a proprietry web app which I think popped up packagekit and X immediately crashed. As nearly everything is running as a dependancy of X there isnt much chance to get more info than what is in this abrt capture :(



Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 46 Anthony Symons 2013-02-06 19:34:34 EST
after reading the other comments, I can confirm that I have also had this crash from the virtualbox edit VM page.

Machine is a dual video card (geforce 650ti), triple head config with xinerama to span the screens and I ram running the proprietry nvidia drivers via rpmforge
Comment 47 Anthony Symons 2013-04-24 01:37:19 EDT
I can confirm that the cause of the crashes on my system were X loading the wrong libglx.so. Both files are present:

/usr/lib64/xorg/modules/extensions/libglx.so
/usr/lib64/nvidia/xorg/libglx.so -> libglx.so.304.64

Changing the directory search order did not seem to work. 

But removing /usr/lib64/xorg/modules/extensions/libglx.so has resolved the crash. Im sure thats not the best way to fix it as the file will probably be replaced in a future X update but at least it is a solution.
Comment 48 Austin 2013-05-03 03:17:51 EDT
Description of problem:
Started "cheese" to test webcam whilst using dual external monitors.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.8-100.fc17.x86_64

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x395ec00000+0xefe0) [0x395ec0efe0]
Comment 49 Austin 2013-05-04 01:40:14 EDT
Description of problem:
I opened Chrome from the Gnome Menu (Applications -> Internet -> Chrome).
It attempted to load all of its previous open tabs.
X crashed.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.8-100.fc17.x86_64

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x395ec00000+0xefe0) [0x395ec0efe0]
Comment 50 Attila 2013-05-05 06:47:46 EDT
Description of problem:
Tere are no steps, 
I have started once and gnome reverted to fallback
The second time it will not run again. 
This is what /var/log/Xorg.1.log contains:

[    10.873] 
X.Org X Server 1.12.4
Release Date: 2012-08-27
[    10.873] X Protocol Version 11, Revision 0
[    10.873] Build Operating System:  2.6.32-279.9.1.el6.x86_64 
[    10.873] Current Operating System: Linux florin 3.8.11-100.fc17.x86_64 #1 SMP Wed May 1 19:31:26 UTC 2013 x86_64
[    10.874] Kernel command line: BOOT_IMAGE=/vmlinuz-3.8.11-100.fc17.x86_64 root=/dev/mapper/vg_florin-lv_root ro rd.md=0 rd.dm=0 SYSFONT=True rd.lvm.lv=vg_florin/lv_swap KEYTABLE=uk rd.luks=0 rd.lvm.lv=vg_florin/lv_root LANG=en_US.UTF-8 rhgb quiet nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off vga=normal
[    10.874] Build Date: 14 December 2012  08:13:38PM
[    10.874] Build ID: xorg-x11-server 1.12.4-2.fc17 
[    10.874] Current version of pixman: 0.28.0
[    10.874] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    10.874] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    10.874] (==) Log file: "/var/log/Xorg.1.log", Time: Sun May  5 11:16:28 2013
[    10.874] (==) Using config file: "/etc/X11/xorg.conf"
[    10.874] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    10.874] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    10.875] (==) ServerLayout "Layout0"
[    10.875] (**) |-->Screen "Screen0" (0)
[    10.875] (**) |   |-->Monitor "Monitor0"
[    10.875] (**) |   |-->Device "Device0"
[    10.875] (**) |-->Input Device "Keyboard0"
[    10.875] (**) |-->Input Device "Mouse0"
[    10.875] (==) Automatically adding devices
[    10.875] (==) Automatically enabling devices
[    10.876] (**) FontPath set to:
	/usr/share/fonts/default/Type1,
	catalogue:/etc/X11/fontpath.d,
	built-ins
[    10.876] (==) ModulePath set to "/usr/lib64/xorg/modules"
[    10.876] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[    10.876] (WW) Disabling Keyboard0
[    10.876] (WW) Disabling Mouse0
[    10.876] (II) Loader magic: 0x7c6ac0
[    10.876] (II) Module ABI versions:
[    10.876] 	X.Org ANSI C Emulation: 0.4
[    10.876] 	X.Org Video Driver: 12.1
[    10.876] 	X.Org XInput driver : 16.0
[    10.876] 	X.Org Server Extension : 6.0
[    10.877] (--) PCI:*(0:1:0:0) 10de:0dd1:1558:7100 rev 161, Mem @ 0xf4000000/16777216, 0xe8000000/134217728, 0xf0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288
[    10.877] (II) LoadModule: "extmod"
[    10.878] (II) Loading /usr/lib64/xorg/modules/extensions/libextmod.so
[    10.878] (II) Module extmod: vendor="X.Org Foundation"
[    10.878] 	compiled for 1.12.4, module version = 1.0.0
[    10.878] 	Module class: X.Org Server Extension
[    10.878] 	ABI class: X.Org Server Extension, version 6.0
[    10.878] (II) Loading extension SELinux
[    10.878] (II) Loading extension MIT-SCREEN-SAVER
[    10.878] (II) Loading extension XFree86-VidModeExtension
[    10.878] (II) Loading extension XFree86-DGA
[    10.878] (II) Loading extension DPMS
[    10.878] (II) Loading extension XVideo
[    10.878] (II) Loading extension XVideo-MotionCompensation
[    10.878] (II) Loading extension X-Resource
[    10.878] (II) LoadModule: "dbe"
[    10.878] (II) Loading /usr/lib64/xorg/modules/extensions/libdbe.so
[    10.879] (II) Module dbe: vendor="X.Org Foundation"
[    10.879] 	compiled for 1.12.4, module version = 1.0.0
[    10.879] 	Module class: X.Org Server Extension
[    10.879] 	ABI class: X.Org Server Extension, version 6.0
[    10.879] (II) Loading extension DOUBLE-BUFFER
[    10.879] (II) LoadModule: "glx"
[    10.879] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[    10.879] (II) Module glx: vendor="X.Org Foundation"
[    10.879] 	compiled for 1.12.4, module version = 1.0.0
[    10.879] 	ABI class: X.Org Server Extension, version 6.0
[    10.879] (==) AIGLX enabled
[    10.879] (II) Loading extension GLX
[    10.879] (II) LoadModule: "record"
[    10.879] (II) Loading /usr/lib64/xorg/modules/extensions/librecord.so
[    10.880] (II) Module record: vendor="X.Org Foundation"
[    10.880] 	compiled for 1.12.4, module version = 1.13.0
[    10.880] 	Module class: X.Org Server Extension
[    10.880] 	ABI class: X.Org Server Extension, version 6.0
[    10.880] (II) Loading extension RECORD
[    10.880] (II) LoadModule: "dri"
[    10.880] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[    10.880] (II) Module dri: vendor="X.Org Foundation"
[    10.880] 	compiled for 1.12.4, module version = 1.0.0
[    10.880] 	ABI class: X.Org Server Extension, version 6.0
[    10.880] (II) Loading extension XFree86-DRI
[    10.880] (II) LoadModule: "dri2"
[    10.880] (II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
[    10.880] (II) Module dri2: vendor="X.Org Foundation"
[    10.880] 	compiled for 1.12.4, module version = 1.2.0
[    10.880] 	ABI class: X.Org Server Extension, version 6.0
[    10.881] (II) Loading extension DRI2
[    10.881] (II) LoadModule: "nvidia"
[    10.881] (II) Loading /usr/lib64/xorg/modules/drivers/nvidia_drv.so
[    10.881] (II) Module nvidia: vendor="NVIDIA Corporation"
[    10.881] 	compiled for 4.0.2, module version = 1.0.0
[    10.881] 	Module class: X.Org Video Driver
[    10.886] (EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
[    10.887] (EE) NVIDIA:     system's kernel log for additional error messages.
[    10.887] (II) UnloadModule: "nvidia"
[    10.887] (II) Unloading nvidia
[    10.887] (EE) Failed to load module "nvidia" (module-specific error, 0)
[    10.887] (EE) No drivers available.
[    10.887] 
Fatal server error:
[    10.887] no screens found
[    10.887] 
Please consult the Fedora Project support 
	 at http://wiki.x.org
 for help. 
[    10.887] Please also check the log file at "/var/log/Xorg.1.log" for additional information.
[    10.887] 

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.8-100.fc17.x86_64

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3f2a600000+0xefe0) [0x3f2a60efe0]
Comment 51 Ben Vaughan 2013-05-14 07:31:37 EDT
Description of problem:
Loaded the Amazon Kindle Cloud Reader in Google Chrome.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-2.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.11-100.fc17.x86_64

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3cfd800000+0xefe0) [0x3cfd80efe0]
Comment 52 Martin Kopun 2013-06-08 14:31:59 EDT
Description of problem:
Started virtual machine in VMware workstation.
Then i got black screen and logout.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.13-100.fc17.x86_64
runlevel:       unknown

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3d1ca00000+0xefe0) [0x3d1ca0efe0]
Comment 53 James Olson 2013-06-11 20:42:00 EDT
Description of problem:
Create new user account, log off, then try to login as the new user. Set the login dialog to start KDE. Shortly after the desktop appears, within 2-5 seconds poof! X server restarts and you're back at the GUI login prompt. An SELinux /.autorelabel did not help. Existing user accounts on the box set to KDE are still ok. Trying KDE failsafe session crashed again.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.13-100.fc17.x86_64
last_occurrence: 1370995870
runlevel:       unknown

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3ead800000+0xefe0) [0x3ead80efe0]
Comment 54 Martin Kopun 2013-06-12 01:17:40 EDT
Hi.
My issue has been caused by Nvidia driver. The recent yum update contained some xorg* packages and they maybe rewrote some files related to Nvidia driver. Reinstalling Nvidia driver solved the problem.
Comment 55 Greg Tchilinguirian 2013-06-18 17:58:42 EDT
Description of problem:
Running Motif based applications seems to cause X to crash.  Sometimes it happens when the application initially loads, sometimes it takes some time for it to occur.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.8.13-100.fc17.x86_64
runlevel:       unknown

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x3945a00000+0xefe0) [0x3945a0efe0]
Comment 56 Thomas 2013-06-23 05:16:12 EDT
Description of problem:
possibly launch of android emulator

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.3.4-5.fc17.x86_64
runlevel:       N 5

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x38e9800000+0xefe0) [0x38e980efe0]
Comment 57 fedora 2013-06-28 10:53:59 EDT
Description of problem:
Attempt to run OpenSCAD

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.4-7.fc17

Additional info:
executable:     /usr/bin/Xorg
kernel:         3.6.11-1.fc17.x86_64
last_occurrence: 1372430547
runlevel:       N 5

Truncated backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
2: /lib64/libpthread.so.0 (0x390ce00000+0xefe0) [0x390ce0efe0]
Comment 58 fedora 2013-06-28 11:07:12 EDT
Re comment 57(In reply to Thomas from comment #56)
> Description of problem:
> possibly launch of android emulator
> 
> Version-Release number of selected component:
> xorg-x11-server-Xorg-1.12.4-7.fc17
> 
> Additional info:
> executable:     /usr/bin/Xorg
> kernel:         3.3.4-5.fc17.x86_64
> runlevel:       N 5
> 
> Truncated backtrace:
> 0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x465326]
> 1: /usr/bin/Xorg (0x400000+0x6a339) [0x46a339]
> 2: /lib64/libpthread.so.0 (0x38e9800000+0xefe0) [0x38e980efe0]

After bugzilla found this logged bug for me, I read the other comments, and can confirm that re-installing the Nvidia drivers fixes this bug for me.

I need the Nvidia drivers to make use of OpenGL in other applications.
Comment 59 Fedora End Of Life 2013-07-04 03:13:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 60 Fedora End Of Life 2013-08-01 15:06:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.